(function($){
  var $widgets_desc = $( "div.widget[id*=tbnwidget] .widget-description" );
  $widgets_desc.each( function( $index, $el ){
    $el = $( $el );
    var $e = $( "<a href='javascript:void(0);' style='text-decoration:none; color:#666;'>&lt;code/&gt;</a>" );
    var $eidhex = $el.html().replace( /^\s+|\s+$/g, '' ).split( " " );
    $eidhex = $eidhex[ $eidhex.length-1 ];
    var $eidlabel = $el.parent().find(".widget-title").text().split( " - " );
    $eidlabel.shift();
    $eidlabel = $eidlabel.join( ' - ' );
    $e.click( function(){
      $e = $( this );
      var $pop = $( "<div><textarea style='width: 100%; height:100%;'></textarea></div>" );
      $pop.find( "textarea" ).eq(0).val( "<!--MONUMETRIC " + $eidlabel + " STARTS-->" +
                                         "<div id=\"mmt-" + $eidhex + "\"></div>" +
                                         "<script type=\"text/javascript\" data-cfasync=\"false\">" +
                                         "$MMT = window.$MMT || {}; $MMT.cmd = $MMT.cmd || [];" +
                                         "$MMT.cmd.push(function(){ $MMT.display.slots.push([\"" + $eidhex + "\"]); })" +
                                         "</script>" +
                                         "<!--MONUMETRIC " + $eidlabel + " ENDS-->" )
      $( $pop ).dialog( {
        height: 185,
        width: 600,
      } );
    } );
    $el.append( $e );
  } )

  // Exclusions dropdown
  $('.monu-exclusion-dropdown').click(function() {
    $('.monu-exclusion-options').slideToggle();
    var chevron = $('.monu-chevron');
    if(!chevron.hasClass('open')) {
      $(chevron).addClass('open');
    } else {
      $(chevron).removeClass('open');
    }
  })

  // Collapse dropdown if clicked outside of element
  $(document).on('click', function(e) {
    var dropdown = $('.monu-exclusion-dropdown').parent();
    if (!$(e.target).is(dropdown) && dropdown.has(e.target).length === 0) {
      // Collapse dropdown
      $('.monu-exclusion-options').slideUp('fast');
      $('.monu-chevron').removeClass('open');
    }
  });
})(jQuery);

(function(){
    //detect changes to default form
    let monuForm = document.querySelector('.default-form');
    if(monuForm) {
      //Save initial form data for comparison
      const initialData = new FormData(monuForm);
      monuForm.addEventListener('change', (e) => {
        let currentData = new FormData(monuForm);
        let formDiff = JSON.stringify([...currentData.entries()]) === JSON.stringify([...initialData.entries()]);
        if(!formDiff) {
          document.querySelector('#save-id').classList.add('monu-changed');
        } else {
          document.querySelector('#save-id').classList.remove('monu-changed');
        }
      })
    }
  
    // Add and remove exclusion boxes in UI
    let exclusionList = document.querySelector('.monu-current-exclusions');
    if(exclusionList){
      document.querySelectorAll('.monu-option input').forEach(role => {
        // Replace any spaces with a hyphen if the role is more than one word
        let roleClass = role.value.replace(" ", "-");
        // Capitalize the role name
        let roleLabel = role.value.split(" ").map( word => word[0].toUpperCase() + word.substring(1)).join(" ");
        if(role.checked) {
          exclusionList.innerHTML += `<div id="box-${roleClass}" class="monu-exclusion">${roleLabel}</div>`;
        }
        role.addEventListener('change', (e) => {
          if(role.checked) {
            exclusionList.innerHTML += `<div id="box-${roleClass}" class="monu-exclusion">${roleLabel}</div>`;
          } else {
            document.querySelector(`#box-${roleClass}`).remove();
          }
        })
      })
    }
})()