<?php


defined( "ABSPATH" ) or die( "No script kiddies please!" );
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

// AdminNotices Library
require( $basePath . "/libs/AdminNotices/src/Notices.php" );
require( $basePath . "/libs/AdminNotices/src/Dismiss.php" );
require( $basePath . "/libs/AdminNotices/src/Notice.php" );



class MonumetricNotifications
{
  public function __construct()
  {
    $this->mmt_admin_notices = new \MMT\AdminNotices\Notices();
  }

  public function checkForAdstxtFile() {
    $conflicts = $this->conflicts();
    if(file_exists(ABSPATH . $conflicts['hasLocaladsTxt']['path'])) {
      $conflicts["hasLocaladsTxt"]["exists"] = true;
    }

    $this->addNotifications($conflicts);
  }

  public function conflicts() {
    $fileLocation = plugin_dir_path(__FILE__) . "/adstxt.json";
    $conflictsArray;
    if($fileLocation){
      $contents = file_get_contents($fileLocation);
      $conflictsArray = json_decode($contents, true);
    } else {
      return null;
    }
    return $conflictsArray;
  }

  public function addNotifications($cnfl) {
    $adsTxtmessage = "<p><strong>Monumetric: </strong>We have detected a physical copy of ads.txt on your server. Your Ads.txt file is managed by Monumetric. To avoid conflicts and losses in revenue, please remove the Ads.txt file from your server. If you are running non-Monumetric ads, please add those lines here <a href='options-general.php?page=monumetric-manager&tab=adstxt'>Additional Lines</a>.</p>
    <p>If you prefer to use an ads.txt file on your server, Monumetric can still automatically update our lines if FTP credentials are securely saved within your Monumetric Console 'Settings' section under the 'Ads.txt Sync' tab. This automation is not able to edit other information within the Ads.txt file except for lines specific to Monumetric. <a target='_blank' href='https://accounts.monumetric.com/' > Monumetric Account Login</a> </p>";

    // Ads.txt Notice
    if($cnfl['hasLocaladsTxt']['exists']) {
    $this->mmt_admin_notices->add(
      'mmt_adstxt_warning',
      esc_html__( '' ),
       $adsTxtmessage,
      ['type' => 'warning',
       'option_prefix' => 'mmt_notify'
        ]
    );
  }
    // Handle Plugin Notifications
    foreach($cnfl['plugins'] as $k => $v) {
      $this->check_for_conflicting_pugins($v['path'], $v['name'], $v['warning'], $v['type']);
    }

  }

    // Detect Plugins Function for Notification
    public function check_for_conflicting_pugins($dir, $plugin, $warning, $type)  {
      $adstxtPlgnMessage = '<strong>Monumetric: </strong>We have detected the plugin <strong>' . $plugin . '</strong> is active and confilcting with Monumetrics ability to keep your ads.txt current. There cannot be two different sources of an Ads.txt file on your site. If the conflict persists, your revenue and site reputation will be negatively affected. <a href="options-general.php?page=monumetric-manager&tab=adstxt">More Information</a>';
      $cacheMessage = "cache message " . $plugin;
      if($type && $type === 'cache'){
        $message = $cacheMessage;
      } else if( $type && $type === 'ads.txt') {
        $message = $adstxtPlgnMessage;
      }
      if(is_plugin_active($dir)){
        //$warnings['conflicts'][$plugin] = true;
        $this->mmt_admin_notices->add(
          $warning,
          '',
          $message,
          ['type' => 'warning']
        );

      }
    }

    public function init(){
      $this->mmt_admin_notices->boot();
      $this->checkForAdstxtFile();
    }
} // End MonumetricNotifications


 ?>
