<?php

defined( "ABSPATH" ) or die( "No script kiddies please!" );

class MonumetricControlSee {
    private $adminSettingsKey = "tbn_control_see";
    private $contentClass = "tbn-controlsee";
    private $vastUrls = array();

    public function __construct($vastUrls){
        $this->vastUrls = $vastUrls;
        add_action( 'admin_init', array( $this, 'adminInit' ) );
        add_filter( 'post_class', array( $this, 'addClassToContent' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'enqueueScript' ), 11 );
        add_action( 'wp_head', array( $this, 'echoDetails' ) );
    }

    public function echoDetails(){
        $options = get_option( $this->adminSettingsKey );
        $email = ( isset( $options['email'] ) && $options['email'] != '' ) ? $options['email'] : null;

        echo "\n<script data-cfasync='false' type='text/javascript'>var \$tbnCtrlSee = {elementSelector:'." . $this->contentClass . "', contactLink:" . ( $email ? ( "'mailto:" . $email . "'" ) : "null" ) . ", vastUrls:" . json_encode( $this->vastUrls ) . ", videoUrl: '" . plugins_url( '/../video/Video Ad Thank You-SD.mp4', __FILE__ ) . "'};</script>\n";
    }

    public function enqueueScript(){
        wp_enqueue_script( 'tbn-controlsee', plugins_url( '/../js/control-see.js', __FILE__ ), array(), '0.3', true );
        wp_enqueue_style( 'tbn-controlsee', plugins_url( '/../style/control-see.css', __FILE__ ), array(), '0.3', 'all' );
    }

    public function addClassToContent( $classes ) {
        $classes[] = $this->contentClass;
        return $classes;
    }

    public function adminSettingsValidate( $args ){
        if( !isset( $args['email'] ) || trim( $args['email'] ) == "" || !is_email( trim ( $args['email'] ) ) ) {
            $args['email'] = '';
            add_settings_error( $this->adminSettingsKey, 'invalid_email', 'Please enter a valid email address!', $type = 'error');
            return $args;
        }
        add_settings_error( $this->adminSettingsKey, 'invalid_email', "Saved successfully.", $type = 'updated' );
        return $args;
    }


    public function adminInit(){
        register_setting( $this->adminSettingsKey, $this->adminSettingsKey, array( $this, "adminSettingsValidate" ) );
    }

    public function renderManager(){
        ?>
        <p>
        This tool will display a shadowbox whenever a user tries to copy content from your website. The user will be notified that the content it protected by copyrights and then require them to watch a video ad before they can copy the content from your website. The revenue from these ads will be included on Monumetric Dashboard.
        </p>


        <form method="post" action="options.php">
            <?php
                settings_fields( $this->adminSettingsKey );
                do_settings_sections( __FILE__ );
                $options = get_option( $this->adminSettingsKey );
                $email = ( isset( $options['email'] ) && $options['email'] != '' ) ? $options['email'] : '';
            ?>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th scope="row"><label for="tbn-ad-id">Contact Email</label></th>
                        <td>
                            <input name="<?php echo $this->adminSettingsKey; ?>[email]" id="tbn-email" type="text" class="regular-text" value="<?php echo $email ; ?>">
                            <br/><i>(if someone wants to use your content for commercial use) </i>
                        </td>
                    </tr>
                </tbody>
            </table>
            <?php
                submit_button( 'Save Changes', 'primary', 'save-id', false );
            ?>
        </form>
        <?php
    }
}
