<?php
    defined( "ABSPATH" ) or die( "No script kiddies please!" );
?>
<p class="description">
    NOTE: This plugin only works with The Blogger Network Video hosting - use of this plugin without Monumetric's
    consent is strictly prohibited. If you are interested in using this video player on your website,
    please contact us at <a href="mailto:video@thebloggernetwork.com">video@thebloggernetwork.com</a>.
</p>

<h3 class="title">Uploading Videos</h3>
<p>
    STEP 1: Login to your <a href="http://dashboard.thebloggernetwork.com/#/videos">Video Dashboard</a>.</br>
    STEP 2: on the bottom right is a pencil button so you can upload your video.</br>
    STEP 3: Once your video is uploaded, it will have a video ID (i.e. )<br/>
    <strong>Example Video ID:</strong> 1002572
</p>

<h3 class="title">Embed Video</h3>
<p>
    Use shortcodes to embed the video on your page. <br/>
    <strong>Example:</strong> [tbn_player id="1002572"] <br/>
</p>

<h3 class="title">Set Video Width</h3>
<p>
    By default your video will take 100% of the width of the place you put it in(so if you place it a widget in the sidebar, it will take 100% of the width of that widget) If you want to set width just add the width="123" parameter. Don't worry about adding the height, the player will automatically optimize it for the width. <br/>
    <strong>500px Width Example:</strong> [tbn_player id="1002572" width="500"] or [tbn_player id="1002572" width="500px"] <br/>
    <strong>50% Width Example:</strong> [tbn_player id="1002572" width="50%"]
</p>

<h3 class="title">Embed Video Without Ads</h3>
<p>
    If you have a video that you don't want ads to run on (i.e. the video is for a sponsored post and the sponsor won't allow you to run an ad before the video).</br>
    <strong>Example:</strong> [tbn_player id="1002572" <strong>ads="no"</strong>]<br/>
</p>

<h3 class="title">Set The Quality Of Video</h3>
<p>
    The video runs in hd quality by default, you can easily switch them to sd quality.</br>
    <strong>Example:</strong> [tbn_player id="1002572" <strong>quality="sd"</strong>]<br/>
</p>

<h3>Additional Examples</h3>
<p>
    You can set any combination of the settings and there is no order requirement for the parameters - just make sure it always starts with "tbn_player". <br/>
    [tbn_player id="1002572" width="600" ads="no"] - play video 1002572, without ads, and a max width of 600px <br/>
    [tbn_player id="1002572" quality="sd" width="930px" ads="no"] - play video 1002572, without ads, and a max width of 930px<br/>
    [tbn_player id="1002572" quality="sd" width="30%"] - play video 1002572, with ads, and a max width of 30%
</p>

<p class="description">
  If you have questions, concerns, or problems, please contact us at <a href="mailto:video@thebloggernetwork.com">video@thebloggernetwork.com</a>.
</p>

<hr/>
<h3 class="title">Video Cache</h3>
<p>
  To help make your videos load faster we have implemented caching.  If changes are made to your videos (changed the poster image, or title), then you will need to click the button below to clear the cache.
</p>
<form action="<?php echo admin_url( 'admin.php' ); ?>" method="post">
   <?php submit_button( 'Clear Video Cache' ); ?>
  <input type="hidden" name="action" value="tbn_clear_video_poster_cache">
</form>
